<div class="sections-background">
  <section class="header-section" [attr.aria-label]="'aria-label.home-page.header' | translate">
    <div class="ecl-container">
      <h1>{{ 'home-page.header-section.title' | translate }}</h1>
      <p class="header-section__description">{{ 'home-page.header-section.description' | translate }}</p>
    </div>
  </section>
  <section class="search-section ecl-container" [attr.aria-label]="'aria-label.home-page.search-section' | translate">
    <h2 class="ecl-u-mb-l">{{ 'home-page.search-section.title' | translate }}</h2>
    <div class="search-section__search-bar-container ecl-u-mb-l">
      <input
        eclTextInput
        type="search"
        [formControl]="searchInput"
        [placeholder]="'home-page.search-section.input-placeholder' | translate"
        (keydown.enter)="search()" />
      <ul *ngIf="searchResults.length > 0 && searchText?.length > 1" class="search-section__results-container">
        <li
          *ngFor="let resultItem of searchResults"
          (click)="onLinkClickHandler(resultItem.type, resultItem.linkUrl, resultItem.id)"
          tabindex="0"
          [attr.aria-label]="getLinkAriaLabel(resultItem.title, resultItem.type)"
          >{{ resultItem.title }}</li
        >
      </ul>
      <button
        eclButton
        class="search-section__search-bar-search"
        variant="primary"
        [attr.aria-label]="'aria-label.button.search' | translate"
        [disabled]="!searchText"
        (click)="search()"
        >{{ 'home-page.search-section.search-label' | translate }}</button
      >
    </div>
    <div class="search-section__suggestions-container">
      <span>{{ 'home-page.search-section.popular-label' | translate }}</span>
      <ul class="ecl-u-pa-none ecl-u-ma-none">
        <li *ngFor="let item of popularSearchTerms">
          <a
            class="search-section__suggestions-link"
            tabindex="0"
            [attr.aria-label]="getLinkAriaLabel(item.label, item.type)"
            (click)="onSuggestionClickHandler(item.type, item.label)"
            >{{ item.label }}</a
          >
        </li>
      </ul>
    </div>
  </section>
  <section class="stakeholders-section ecl-container" [attr.aria-label]="'aria-label.home-page.stakeholders-section' | translate">
    <h2 class="ecl-u-mb-xl">{{ 'home-page.stackeholders-section.title' | translate }}</h2>
    <div class="stakeholders-section__cards-container">
      <ecl-card class="stakeholders-section__cards-item">
        <picture eclCardPicture [attr.aria-label]="'aria-label.card.image' | translate">
          <img eclCardImage src="assets/images/home-image-1.png" alt="" />
        </picture>
        <ecl-card-body>
          <h3>{{ 'home-page.stackeholders-section.citizens-card.title' | translate }}</h3>
          <p eclContentBlockDescription class="ecl-u-mb-none">
            {{ 'home-page.stackeholders-section.citizens-card.description' | translate }}
          </p>
        </ecl-card-body>
      </ecl-card>
      <ecl-card class="stakeholders-section__cards-item">
        <picture eclCardPicture [attr.aria-label]="'aria-label.card.image' | translate">
          <img eclCardImage src="assets/images/home-image-2.png" alt="" />
        </picture>
        <ecl-card-body>
          <h3>{{ 'home-page.stackeholders-section.europe-card.title' | translate }}</h3>
          <p eclContentBlockDescription class="ecl-u-mb-none">
            {{ 'home-page.stackeholders-section.europe-card.description' | translate }}
          </p>
        </ecl-card-body>
      </ecl-card>
      <ecl-card class="stakeholders-section__cards-item">
        <picture eclCardPicture [attr.aria-label]="'aria-label.card.image' | translate">
          <img eclCardImage src="assets/images/home-image-3.png" alt="" />
        </picture>
        <ecl-card-body>
          <h3>{{ 'home-page.stackeholders-section.authorities-card.title' | translate }}</h3>
          <p eclContentBlockDescription class="ecl-u-mb-none">
            {{ 'home-page.stackeholders-section.authorities-card.description' | translate }}
          </p>
        </ecl-card-body>
      </ecl-card>
    </div>
  </section>
</div>
<section class="figures-section" [attr.aria-label]="'aria-label.home-page.figures-section' | translate">
  <div class="ecl-container">
    <div class="figures-section__title-wrapper">
      <h2 class="ecl-u-mb-l">{{ 'home-page.figures-section.title' | translate }}</h2>
      <p class="figures-section__description">{{ 'home-page.figures-section.description' | translate }}</p>
    </div>
    <ecl-fact-figures columns="4">
      <ecl-fact-figures-item>
        <img class="image" src="assets/images/procedure.svg" alt="" />
        <ecl-fact-figures-value appCountdown [endVal]="proceduresCount">{{ proceduresCount ? 0 : '-' }}</ecl-fact-figures-value>
        <ecl-fact-figures-title>{{ 'home-page.figures-section.procedures-label' | translate }}</ecl-fact-figures-title>
        <ecl-fact-figures-description>{{ 'home-page.figures-section.procedures-description' | translate }}</ecl-fact-figures-description>
      </ecl-fact-figures-item>
      <ecl-fact-figures-item>
        <img class="image" src="assets/images/requirement.svg" alt="" />
        <ecl-fact-figures-value appCountdown [endVal]="requirementsCount">{{ requirementsCount ? 0 : '-' }}</ecl-fact-figures-value>
        <ecl-fact-figures-title>{{ 'home-page.figures-section.requirements-label' | translate }}</ecl-fact-figures-title>
        <ecl-fact-figures-description>{{ 'home-page.figures-section.requirements-description' | translate }}</ecl-fact-figures-description>
      </ecl-fact-figures-item>
      <ecl-fact-figures-item>
        <img class="image" src="assets/images/evidence.svg" alt="" />
        <ecl-fact-figures-value appCountdown [endVal]="evidencesCount">{{ evidencesCount ? 0 : '-' }}</ecl-fact-figures-value>
        <ecl-fact-figures-title>{{ 'home-page.figures-section.evidences-label' | translate }}</ecl-fact-figures-title>
        <ecl-fact-figures-description>{{ 'home-page.figures-section.evidences-description' | translate }}</ecl-fact-figures-description>
      </ecl-fact-figures-item>
      <ecl-fact-figures-item>
        <img class="image" src="assets/images/authority.svg" alt="" />
        <ecl-fact-figures-value appCountdown [endVal]="providersCount">{{ providersCount ? 0 : '-' }}</ecl-fact-figures-value>
        <ecl-fact-figures-title>{{ 'home-page.figures-section.providers-label' | translate }}</ecl-fact-figures-title>
        <ecl-fact-figures-description>{{ 'home-page.figures-section.providers-description' | translate }}</ecl-fact-figures-description>
      </ecl-fact-figures-item>
    </ecl-fact-figures>
  </div>
</section>
<section class="info-section ecl-container ecl-u-mb-4xl" [attr.aria-label]="'aria-label.home-page.information-section' | translate">
  <div class="info-section__information-container">
    <h2>{{ 'home-page.information-section.title' | translate }}</h2>
    <div class="info-section__information-content">
      <p>{{ 'home-page.information-section.content1' | translate }}</p>
      <p>{{ 'home-page.information-section.content2' | translate }}</p>
    </div>
    <div class="info-section__link-container">
      <a
        class="info-section__link"
        href="https://ec.europa.eu/digital-building-blocks/sites/display/OOTS/OOTSHUB+Home"
        target="_blank"
        [attr.aria-label]="'aria-label.home-page.oots-link' | translate"
        >{{ 'home-page.information-section.link-text' | translate }}</a
      >
      <ecl-icon icon="external" size="fluid" ariaHidden="false" role="img" color="primary" />
    </div>
  </div>
  <img src="assets/images/OOTS_image.svg" alt="" />
</section>
